Subject: Re: To HR
From: Haitham Elgani <[email-masked]>
To: [email-masked]
Date: Sat, 3 Oct 2020 18:17:58 +0300

Please check with management about my salary i already told HR she told me
drop email

On Fri, Oct 2, 2020, 5:55 PM Haitham Elgani <[email-masked]> wrote:

> Please check with management about my salary i already told HR she told me
> drop email
>